## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# VariablesStack::PushParamFunctor Class Reference

`#include <VariablesStack.hpp>`

Collaboration diagram for VariablesStack::PushParamFunctor:

List of all members.

## Public Methods

- PushParamFunctor (VariablesStack& theVariablesStack)
- void operator() (const ParamsVectorType::value_type& theEntry) const

## Constructor & Destructor Documentation

VariablesStack::PushParamFunctor::PushParamFunctor ( | VariablesStack & theVariablesStack )

## Member Function Documentation

void VariablesStack::PushParamFunctor::operator() ( | const ParamsVectorType::value_type & theEntry ) const

The documentation for this class was generated from the following file:

- VariablesStack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.